org.apache.ignite.internal.visor.node

## Class VisorNodeDataCollectorJobResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorNodeDataCollectorJobResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorNodeDataCollectorJobResult
    extends VisorDataTransferObject

Data collector job result.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeDataCollectorJobResult()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<VisorCache>` `getCaches()`
`VisorExceptionWrapper` `getCachesEx()`
`long` `getErrorCount()`
`List<VisorGridEvent>` `getEvents()`
`VisorExceptionWrapper` `getEventsEx()`
`String` `getGridName()`
`List<VisorIgfsEndpoint>` `getIgfsEndpoints()`
`List<VisorIgfs>` `getIgfss()`
`VisorExceptionWrapper` `getIgfssEx()`
`List<VisorMemoryMetrics>` `getMemoryMetrics()`
`VisorExceptionWrapper` `getMemoryMetricsEx()`
`VisorPersistenceMetrics` `getPersistenceMetrics()` Get persistence metrics.
`VisorExceptionWrapper` `getPersistenceMetricsEx()`
`byte` `getProtocolVersion()`
`VisorAffinityTopologyVersion` `getReadyAffinityVersion()`
`double` `getRebalance()`
`long` `getTopologyVersion()`
`boolean` `isHasPendingExchange()`
`boolean` `isTaskMonitoringEnabled()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setCachesEx(VisorExceptionWrapper cachesEx)`
`void` `setErrorCount(long errCnt)`
`void` `setEventsEx(VisorExceptionWrapper evtsEx)`
`void` `setGridName(String gridName)`
`void` `setHasPendingExchange(boolean hasPendingExchange)`
`void` `setIgfssEx(VisorExceptionWrapper igfssEx)`
`void` `setMemoryMetricsEx(VisorExceptionWrapper memoryMetricsEx)`
`void` `setPersistenceMetrics(VisorPersistenceMetrics persistenceMetrics)` Set persistence metrics.
`void` `setPersistenceMetricsEx(VisorExceptionWrapper persistenceMetricsEx)`
`void` `setReadyAffinityVersion(VisorAffinityTopologyVersion readyTopVer)`
`void` `setRebalance(double rebalance)`
`void` `setTaskMonitoringEnabled(boolean taskMonitoringEnabled)`
`void` `setTopologyVersion(long topVer)`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeDataCollectorJobResult

    public VisorNodeDataCollectorJobResult()

Default constructor.

### Method Detail

#### getGridName

    public String getGridName()

Returns:
  Grid name.

#### setGridName

    public void setGridName(String gridName)

Parameters:
  `gridName` - New grid name value.

#### getTopologyVersion

    public long getTopologyVersion()

Returns:
  Current topology version.

#### setTopologyVersion

    public void setTopologyVersion(long topVer)

Parameters:
  `topVer` - New topology version value.

#### isTaskMonitoringEnabled

    public boolean isTaskMonitoringEnabled()

Returns:
  Current task monitoring state.

#### setTaskMonitoringEnabled

    public void setTaskMonitoringEnabled(boolean taskMonitoringEnabled)

Parameters:
  `taskMonitoringEnabled` - New value of task monitoring state.

#### getEvents

    public List<VisorGridEvent> getEvents()

Returns:
  Collection of collected events.

#### getEventsEx

    public VisorExceptionWrapper getEventsEx()

Returns:
  Exception caught during collecting events.

#### setEventsEx

    public void setEventsEx(VisorExceptionWrapper evtsEx)

Parameters:
  `evtsEx` - Exception caught during collecting events.

#### getMemoryMetrics

    public List<VisorMemoryMetrics> getMemoryMetrics()

Returns:
  Collected data region metrics.

#### getMemoryMetricsEx

    public VisorExceptionWrapper getMemoryMetricsEx()

Returns:
  Exception caught during collecting memory metrics.

#### setMemoryMetricsEx

    public void setMemoryMetricsEx(VisorExceptionWrapper memoryMetricsEx)

Parameters:
  `memoryMetricsEx` - Exception caught during collecting memory metrics.

#### getCaches

    public List<VisorCache> getCaches()

Returns:
  Collected cache metrics.

#### getCachesEx

    public VisorExceptionWrapper getCachesEx()

Returns:
  Exception caught during collecting caches metrics.

#### setCachesEx

    public void setCachesEx(VisorExceptionWrapper cachesEx)

Parameters:
  `cachesEx` - Exception caught during collecting caches metrics.

#### getIgfss

    public List<VisorIgfs> getIgfss()

Returns:
  Collected IGFSs metrics.

#### getIgfsEndpoints

    public List<VisorIgfsEndpoint> getIgfsEndpoints()

Returns:
  Collected IGFSs endpoints.

#### getIgfssEx

    public VisorExceptionWrapper getIgfssEx()

Returns:
  Exception caught during collecting IGFSs metrics.

#### setIgfssEx

    public void setIgfssEx(VisorExceptionWrapper igfssEx)

Parameters:
  `igfssEx` - Exception caught during collecting IGFSs metrics.

#### getErrorCount

    public long getErrorCount()

Returns:
  Errors count.

#### setErrorCount

    public void setErrorCount(long errCnt)

Parameters:
  `errCnt` - Errors count.

#### getReadyAffinityVersion

    public VisorAffinityTopologyVersion getReadyAffinityVersion()

Returns:
  Topology version of latest completed partition exchange.

#### setReadyAffinityVersion

    public void setReadyAffinityVersion(VisorAffinityTopologyVersion readyTopVer)

Parameters:
  `readyTopVer` - Topology version of latest completed partition exchange.

#### isHasPendingExchange

    public boolean isHasPendingExchange()

Returns:
  Whether pending exchange future exists.

#### setHasPendingExchange

    public void setHasPendingExchange(boolean hasPendingExchange)

Parameters:
  `hasPendingExchange` - Whether pending exchange future exists.

#### getPersistenceMetrics

    public VisorPersistenceMetrics getPersistenceMetrics()

Get persistence metrics.

#### setPersistenceMetrics

    public void setPersistenceMetrics(VisorPersistenceMetrics persistenceMetrics)

Set persistence metrics.

Parameters:
  `persistenceMetrics` - Persistence metrics.

#### getPersistenceMetricsEx

    public VisorExceptionWrapper getPersistenceMetricsEx()

Returns:
  Exception caught during collecting persistence metrics.

#### setPersistenceMetricsEx

    public void setPersistenceMetricsEx(VisorExceptionWrapper persistenceMetricsEx)

Parameters:
  `persistenceMetricsEx` - Exception caught during collecting persistence metrics.

#### getRebalance

    public double getRebalance()

Returns:
  Rebalance progress.

#### setRebalance

    public void setRebalance(double rebalance)

Parameters:
  `rebalance` - Rebalance progress.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022